[Gc] Patch for __libc_stack_end

Mike Hearn mike at navi.cx
Mon Jan 24 14:55:12 PST 2005


On Mon, 2005-01-24 at 17:03 -0500, Kenneth C. Schalk wrote:
> I'd just like to say that I'm very happy with the default in
> 6.4 of not using __libc_stack_end.  It makes binaries with
> the gc statically linked much more portable across different
> versions of glibc.
> 
> I'd be fine with this not being the default, as long as
> there's a way to select this.

Right, but that problem you described is exactly what my patch fixes.
With that patch static GC works with any glibc version.



More information about the Gc mailing list